org.hsqldb.auth

## Class JaasAuthBean.UPCallbackHandler

- java.lang.Object
- - org.hsqldb.auth.JaasAuthBean.UPCallbackHandler

- All Implemented Interfaces:
    javax.security.auth.callback.CallbackHandler
  Enclosing class:
    JaasAuthBean

      public static class JaasAuthBean.UPCallbackHandler
      extends java.lang.Object
      implements javax.security.auth.callback.CallbackHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UPCallbackHandler(java.lang.String u, java.lang.String pString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(javax.security.auth.callback.Callback[] callbacks)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UPCallbackHandler

          public UPCallbackHandler(java.lang.String u,
                                   java.lang.String pString)

  - ### Method Detail

    - #### handle

          public void handle(javax.security.auth.callback.Callback[] callbacks)
                      throws javax.security.auth.callback.UnsupportedCallbackException

      Specified by:
        `handle` in interface `javax.security.auth.callback.CallbackHandler`
      Throws:
        `javax.security.auth.callback.UnsupportedCallbackException`

Copyright © 2001 - 2018 HSQL Development Group.